# Jekyll theme for charlesmulder.net

## Build 

```
gem build monomulder.gemspec
```

## Deploy

```
gem push monomulder-*.gem
```

## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "monomulder"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: monomulder
```

And then execute:

```
bundle --path vendor
```

Or install it yourself as:

```
sudo apt install ruby-dev
gem install monomulder  --path vendor
```

## Usage

```
# TODO
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://gitlab.com/charlesmulder/monomulder. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `theme.gemspec` accordingly.

## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

